### Enumeration

# GWeather WindDirection

#### Declaration

    enum GWeather.WindDirection

#### Description [src]

The direction of the prevailing wind. Composite values such as north-north-east indicate a direction between the two component value (north and north-east).

#### Members

Name | Description
--- | ---
`GWEATHER_WIND_INVALID` | Value not available.
`GWEATHER_WIND_VARIABLE` | Variable throughout the day.
`GWEATHER_WIND_N` | North.
`GWEATHER_WIND_NNE` | North-north-east.
`GWEATHER_WIND_NE` | North-east.
`GWEATHER_WIND_ENE` | East-north-east.
`GWEATHER_WIND_E` | East.
`GWEATHER_WIND_ESE` | East-south-east.
`GWEATHER_WIND_SE` | South-east.
`GWEATHER_WIND_SSE` | South-south-east.
`GWEATHER_WIND_S` | South.
`GWEATHER_WIND_SSW` | South-south-west.
`GWEATHER_WIND_SW` | South-west.
`GWEATHER_WIND_WSW` | West-south-west.
`GWEATHER_WIND_W` | West.
`GWEATHER_WIND_WNW` | West-north-west.
`GWEATHER_WIND_NW` | North-west.
`GWEATHER_WIND_NNW` | North-north-west.
`GWEATHER_WIND_LAST` | Maximum value for the enumeration.

#### Type functions

###### gweather_wind_direction_to_string

No description available.

###### gweather_wind_direction_to_string_full

No description available.